import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function orderPunishList(data) {
  return request({
    url: `/order/punish/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function orderPunishListExport(data, name) {
  return postBlob({
    url: '/order/punish/list/export',
    data,
    name
  })
}

export function orderPunishExamine(params) {
  return request({
    url: '/order/punish/examine',
    method: 'post',
    params
  })
}

export function orderPunishDelete(params) {
  return request({
    url: '/order/punish/delete',
    method: 'post',
    params
  })
}

export function orderPunishDetail(params) {
  return request({
    url: '/order/punish/detail',
    method: 'post',
    params
  })
}

export function orderPunishSave(data) {
  return request({
    url: `/order/punish/save`,
    method: 'post',
    data
  })
}
